=== debian/changelog ===
kate (4:24.08.1-0ubuntu1) oracular; urgency=medium

  * New upstream release (24.08.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Sep 2024 06:24:04 +0100

kate (4:24.08.0-1ubuntu1) oracular; urgency=medium

  * Merge debian experimental. 

 -- Scarlett Moore <sgmoore@debian.org>  Tue, 03 Sep 2024 07:46:24 -0700

kate (4:24.08.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.0).
  * Backport upstream patch to fix missing include.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 24 Aug 2024 19:17:44 +0200

kate (4:24.05.2-1ubuntu1) UNRELEASED; urgency=medium

  * Kubuntu Vcs and maintainer fields.
  * Make build time tests non fatal.

 -- Rik Mills <rikmills@kde.org>  Wed, 21 Aug 2024 07:16:46 +0100

kate (4:24.05.2-1) experimental; urgency=medium

  [ Jesse Rhodes ]
  * New upstream release (24.05.2).
  * Update build-deps with info from cmake.
  * Switch to dh-sequence-kf6.
  * Rename kate5-data to kate-data.
  * Update list of installed files from build system.
  * B-D on pkgconf instead of transitional pkg-config.
  * Update runtime Depends.
  * Add Breaks/Replaces for kate5-data.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update copyright info.

  [ Aurélien COUDERC ]
  * More copyright refresh.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 14 Aug 2024 23:40:17 +0200

kate (4:23.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Jesse Rhodes ]
  * New upstream release (23.08.1).
  * Update build-deps with info from cmake. 

 -- Jesse Rhodes <jesse@sney.ca>  Fri, 06 Oct 2023 10:34:15 -0400
