## kate 24.08.2

=== debian/changelog ===
kate (4:24.08.2-2ubuntu1) plucky; urgency=medium

  [ Rik Mills ]
  * Merge from Debian. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Fix sonnet plugins runtime recommend to be KF6 version.

  [ Simon Quigley ]
  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 17:52:26 -0500

kate (4:24.08.2-2) experimental; urgency=medium

  * Team upload.
  * Fix runtime dependencies (Closes: #1084973).

 -- Patrick Franz <deltaone@debian.org>  Sun, 13 Oct 2024 01:54:45 +0200

kate (4:24.08.2-1) experimental; urgency=medium

  * Team upload.

  [ Patrick Franz ]
  * New upstream release (24.08.2).
  * Make qt6-base-private-dev an explicit build-dependency.

 -- Patrick Franz <deltaone@debian.org>  Thu, 10 Oct 2024 19:40:01 +0200

kate (4:24.08.1-0ubuntu2) plucky; urgency=medium

  * Rebuild against Qt 6.7.2 private-abi.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Oct 2024 17:05:54 +0100
