=== debian/control ===
--- 
+++ 
@@ -26,6 +26,7 @@
                libkf6xmlgui-dev (>= 6.0.0~),
                pkgconf,
                qt6-base-dev (>= 6.5.0~),
+               qt6-base-private-dev (>= 6.5.0~),
                qt6-declarative-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
@@ -40,13 +41,13 @@
 Architecture: any
 Depends: kate-data (>= ${source:Version}),
          libkf6texteditor-katepart,
-         plasma-framework,
-         qml-module-org-kde-kquickcontrolsaddons,
-         qml-module-qtquick-layouts,
-         qml-module-qtquick2,
+         plasma-desktoptheme,
+         qml6-module-org-kde-kquickcontrolsaddons,
+         qml6-module-qtquick,
+         qml6-module-qtquick-layouts,
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: sonnet-plugins,
+Recommends: sonnet6-plugins,
 Suggests: darcs,
           exuberant-ctags,
           git,
