## kate 24.12.1

=== debian/changelog ===
kate (4:24.12.1-1) unstable; urgency=medium

  * Team upload.

  [ Patrick Franz ]
  * New upstream release (24.12.1).
  * Add qtkeychain-qt6-dev to the B-Ds in order to enable the SQL plugin
    (Closes: #1093013).

 -- Patrick Franz <deltaone@debian.org>  Thu, 16 Jan 2025 21:26:57 +0100

kate (4:24.12.0-1) unstable; urgency=medium

  * Team upload.

  [ Patrick Franz ]
  * New upstream release (24.12.0).
  * Remove redundant patches.
  * Allow tests to fail (Closes: #1090239).

 -- Patrick Franz <deltaone@debian.org>  Mon, 16 Dec 2024 19:55:37 +0100

kate (4:24.08.2-5) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Really ignore testsuite failures on 32-bit arches and hurd.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 Dec 2024 09:58:44 +0100

kate (4:24.08.2-4) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Ignore testsuite failures on 32-bit arches and hurd.
  * Drop reproducible=-fixfilepath build option now that the build path
    have been fixed.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 03 Dec 2024 17:48:54 +0100

kate (4:24.08.2-3) unstable; urgency=medium

  [ Rik Mills ]
  * Fix sonnet plugins runtime recommend to be KF6 version.

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 03 Dec 2024 12:31:22 +0100
