=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kate
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
@@ -28,13 +27,14 @@
                qt6-base-dev (>= 6.5.0~),
                qt6-base-private-dev (>= 6.5.0~),
                qt6-declarative-dev (>= 6.5.0~),
+               qtkeychain-qt6-dev,
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://kate-editor.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kate
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kate
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kate
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kate.git
 
 Package: kate
 Section: editors
