=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-find_package(KF${KF_MAJOR_VERSION}DocTools ${KF5_DEP_VERSION} QUIET)
+find_package(KF6DocTools ${KF5_DEP_VERSION} QUIET)
 
 if(NOT KF5DocTools_FOUND AND NOT KF6DocTools_FOUND)
   return()
