=== debian/changelog ===
kate (4:24.12.3-2ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:12:49 -0500

kate (4:24.12.3-2ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Mar 2025 13:50:30 +0000

kate (4:24.12.3-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 15 Mar 2025 12:15:10 +0100

kate (4:24.12.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * New upstream release (24.12.3).
  * Concatenate upstream signatures.
  * Backport patch to support debputy in kate (Closes: #1099876).

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Mar 2025 15:33:48 +0100
