=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kate
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
@@ -33,8 +34,8 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://kate-editor.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kate
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kate.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kate
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kate
 
 Package: kate
 Section: editors
