## kate 25.04.2

=== debian/changelog ===
kate (4:25.04.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.1).
    - Add missing includes.
    - Fix size limit, that is an int in MB, no bool.
    - Fix type warnings.
  * New upstream release (25.04.2).
    - Check whether item is an object. (kde#505044)
    - S&R: Fix canceling search in current file.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jun 2025 23:47:49 +0200

kate (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 18:57:54 +0200

kate (4:25.03.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.03.90).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.
  * Drop patch applied upstream.
  * Refresh copyright information.
  * Switch to dh-sequence-qmldeps for runtime QML dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Apr 2025 22:51:27 +0200
